import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"pcre.pmh",
				"pcreDL" ]

	dll = module.DLL( "fexPcre", srcList )

	deplibs = [ "fePlatformLib" ]

	dll.linkmap = {}
	dll.linkmap["pcre"] = "-lpcrecpp"

	forge.deps( ["fexPcreLib"], deplibs )

def auto(module):
	test_file = """
#include <pcrecpp.h>

int main(void)
{
	return pcrecpp::RE("a?c").FullMatch("abc");
}
    \n"""

	scenemap = { }
	if forge.fe_os == "FE_LINUX":
		scenemap["scenelibs"] = "-lpcrecpp"

	return forge.cctest(test_file, scenemap)
